# SPDX-FileCopyrightText: 2024 Ludwig Hülk <@Ludee> © Reiner Lemoine Institut
# SPDX-FileCopyrightText: 2024 Jonas Huber <jh-RLI> © Reiner Lemoine Institut
#
# SPDX-License-Identifier: MIT

def test_oemetadata_example_should_load():
    try:
        from metadata.latest.example import OEMETADATA_LATEST_EXAMPLE
    except Warning:
        print("Cannot open OEMetadata Example (Latest)!")


def test_oemetadata_schema_should_validate_oemetadata_example():
    from jsonschema import validate, ValidationError
    from metadata.latest.example import OEMETADATA_LATEST_EXAMPLE
    from metadata.latest.schema import OEMETADATA_LATEST_SCHEMA

    try:
        validate(OEMETADATA_LATEST_EXAMPLE, OEMETADATA_LATEST_SCHEMA)
        print("OEMetadata Example is valid OEMetadata Schema (Latest).")
    except ValidationError as e:
        print("Cannot validate OEMetadata Example with Schema (Latest)!", e)
